Bug 1149034 - sddm-greeter is running on 100% CPU
sddm-greeter is running on 100% CPU
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KDE Workspace (Plasma)
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-30 19:24 UTC by Alex B.
Modified: 2020-04-04 11:26 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Xorg log (20.59 KB, text/x-log)
2019-08-30 19:24 UTC, Alex B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex B. 2019-08-30 19:24:39 UTC
Created attachment 816483 [details]
Xorg log

Hi.
On Tumbleweed sddm-greeter is running with 100% load.

I have "sddm-0.18.0-8.1" and "xorg-x11-server-1.20.5-2.1"

The system is an older Core 2 Duo system with Intel i915 graphics.
00:02.1 Display controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)

Attached: Xorg logfile
Comment 1 Alex B. 2019-09-03 05:56:19 UTC
I added a dedicated graphics card (Radeon 5450) and sddm-greeter is no longer eating up that much CPU.
Looks like a bug with OpenGL/DRI and Intel i915.
Comment 2 Alex B. 2020-04-04 11:26:01 UTC
With i915/q35 graphics:
graphics in Xorg/Plasma still broken, but not longer 100$ CPU load with sddm-greeter. After login the display is strangely tiled...

I will close this bug because of lack of interest in this old platform...
Comment 3 Alex B. 2020-04-04 11:26:51 UTC
resolved wontfix because of
"lack of interest in this old platform..."